Seeds
Delete Seed Group
Deletes a seed group. All seeds in the seed group will be deleted, and any assets discovered from those seeds will be removed from the listing associated with the seed group that owns the deleted seed.
DELETE
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
/
{seedGroupUid}
cURL
curl --request DELETE \
--url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for an organization group. Unique identifier for an organization.
Pattern:
^[-_0-9a-z]{1,50}Unique identifier for a seed group.
Pattern:
^[0-9a-f]{12}Response
No content.
⌘I
cURL
